#map-container {
		width: 100%;
		height: 90vh;
		resize: both;
		overflow: hidden;
		}

	#map {
		width: 100%;
		height: 100%;
		}

        /* Custom Popup Styling */
        .leaflet-popup-content-wrapper {
            background: rgba(0,0,0,0.4);
            color: #f1f1f1;
            border-radius: 8px;
			border:1px solid #000;
            box-shadow: 0 4px 15px rgba(0,0,0,0.8);
            padding: 2px;
        }

        .leaflet-popup-content {
            margin: 14px 18px;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            font-size: 14px;
            line-height: 1.5;
        }

        .leaflet-popup-content b {
            color: #4da6ff;
        }

        .leaflet-popup-tip {
            background: #2b2b2b;
        }
        
        /* Permanent Map Labels Styling (Tooltip override) */
        .feature-label {
            background: transparent;
            border: none;
            box-shadow: none;
            font-weight: bold;
            font-size: 12px;
            color: #ffffff;
            text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.8), 
                        -1px -1px 2px rgba(0, 0, 0, 0.8),
                         1px -1px 2px rgba(0, 0, 0, 0.8), 
                        -1px  1px 2px rgba(0, 0, 0, 0.8);
        }
		
		.feature-label-taj {
            background: transparent;
            border: none;
            box-shadow: none;
            font-weight: bold;
            font-size: 50px;
            color: rgba(3, 40, 252,0.5);
        }
		
		.feature-label-vge {
            background: transparent;
            border: none;
            box-shadow: none;
            font-weight: bold;
            font-size: 12px;
            color: rgba(255, 255, 255,0.6);
        }
        
        /* Reset Zoom Control Button Styling */
        .reset-zoom-button {
            background-color: white;
            border: 2px solid rgba(0,0,0,0.2);
            border-radius: 4px;
            width: 34px;
            height: 34px;
            line-height: 30px;
            text-align: center;
            cursor: pointer;
            font-weight: bold;
            font-size: 16px;
            color: #333;
            box-shadow: 0 1px 5px rgba(0,0,0,0.4);
        }

        .reset-zoom-button:hover {
            background-color: #f4f4f4;
        }
		
		.label-control-box {
			background: white;
			padding: 10px 15px;
			font-family: sans-serif;
			box-shadow: 0 1px 5px rgba(0,0,0,0.4);
			border-radius: 4px;
			line-height: 1.6;
		}
		.label-control-box label {
			display: block;
			cursor: pointer;
		}
		
		.copyright-box {
		background: rgba(255, 255, 255, 0.85);
		padding: 5px 10px;
		font-family: sans-serif;
		font-size: 11px;
		color: #333;
		box-shadow: 0 1px 3px rgba(0,0,0,0.3);
		border-radius: 4px;
		text-align:center;
		}
		
		.info-box {
		background: rgba(255, 255, 255, 0.85);
		padding: 5px 10px;
		font-family: sans-serif;
		font-size: 9px;
		color: #FF0000;
		box-shadow: 0 1px 3px rgba(0,0,0,0.3);
		border-radius: 4px;
		text-align:center;
		}